Closed Bug 954156 Opened 8 years ago Closed 8 years ago

Participants need tooltips

Categories

(Instantbird :: Conversation, enhancement)

enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: clokep, Assigned: florian)

References

Details

*** Original post on bio 721 at 2011-03-03 19:11:00 UTC ***

+++ This bug was initially created as a clone of Bug #953891 (bio 451) +++

The participants in a MUC should have tooltips show similar to the buddy list. I don't know if the "Chat Buddy" interface (on the libpurple side) can do something like this, if not it'd only be for JavaScript accounts (this would definitely be nice for Twitter profiles and for IRC whois).
Blocks: 954016
Depends on: 953721
*** Original post on bio 721 at 2011-03-03 21:35:51 UTC ***

If I remember well, on Pidgin the chat participants have in their context menu a "Get Info" item which asynchronously popups a dialog with more information (like the whois result). This information is provided in a way similar to the list of values of buddy tooltips.

I thought (but apparently never wrote) that we could maybe display a tooltip with minimal information (what we already have), request more information through what Pidgin uses to fill that popup dialog, and update the tooltip when the information is received.

Doesn't matter much if all the protocols where it's common to have MUCs get rewritten in JS of course :).
*** Original post on bio 721 by Igor Paliychuk <mansonigor AT gmail.com> at 2011-08-03 18:47:15 UTC ***

See bug #954394 (bio 960). Tooltip should include suggestion from it too.
*** Original post on bio 721 by Igor Paliychuk <mansonigor AT gmail.com> at 2011-08-03 18:48:19 UTC ***

Nickname rank description.
Blocks: 954394
*** Original post on bio 721 at 2011-09-05 21:10:38 UTC ***

Fixed in https://hg.instantbird.org/instantbird/rev/6663790446e3.
Assignee: nobody → florian
Status: NEW → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.1
Depends on: 954454
*** Original post on bio 721 at 2011-09-07 08:34:49 UTC ***

Follow-up to address a review comment clokep gave on IRC:
https://hg.instantbird.org/instantbird/rev/b500a91e30e7
You need to log in before you can comment on or make changes to this bug.